{
  lib,
  config,
  pkgs,
  inputs,
  ...
}: let
  cfg = config.marleyos.appearance.base;
in {
  options.marleyos.appearance.base.enable = lib.mkEnableOption "base";

  config = lib.mkIf cfg.enable {
    stylix = import "${inputs.self}/stylix.nix" {inherit pkgs;};

    fonts = {
      enableDefaultPackages = true;

      packages = with pkgs; [
        corefonts
        noto-fonts
      ];
    };
  };
}
